Summary: An alternate posix capabilities library
Name: libcap-ng
Version: 0.7.7
Release: r0.0
License: GPLv2+ & LGPLv2.1+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://freecode.com/projects/libcap-ng
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: swig-native
BuildRequires: python
BuildRequires: python-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng-dbg
Summary: An alternate posix capabilities library - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libcap-ng0 = 0.7.7-r0.0

%description -n libcap-ng-dbg
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n libcap-ng-staticdev
Summary: An alternate posix capabilities library - Development files (Static Libraries)
Group: devel
Requires: libcap-ng-dev = 0.7.7-r0.0

%description -n libcap-ng-staticdev
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains static libraries for software development.

%package -n libcap-ng-dev
Summary: An alternate posix capabilities library - Development files
Group: devel
Requires: libcap-ng0 = 0.7.7-r0.0
Suggests: libc6-dev
Suggests: python-dev

%description -n libcap-ng-dev
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n libcap-ng-doc
Summary: An alternate posix capabilities library - Documentation files
Group: doc

%description -n libcap-ng-doc
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.  This package
contains documentation.

%package -n libcap-ng-locale
Summary: An alternate posix capabilities library
Group: base

%description -n libcap-ng-locale
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng-bin
Summary: An alternate posix capabilities library
Group: base
Requires: rtld(GNU_HASH)
Requires: libcap-ng.so.0()(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libcap-ng0 >= 0.7.7
Requires: libc.so.6(GLIBC_2.3.3)(64bit)
Requires: libc6 >= 2.22
Provides: elf(buildid) = 4bdba0366250b524ab2619a87288873f6fa68068
Provides: elf(buildid) = 2621861e72a69ab309b8d262962ce37eb6aff5ab
Provides: elf(buildid) = 26447f552d9fea40790070d66e1afcb4fe5c61d6
Provides: elf(buildid) = 4f33320d68e3ab731eb7802622cefb0191cb0d39

%description -n libcap-ng-bin
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng0
Summary: An alternate posix capabilities library
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: libc.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): libc.so.6()(64bit)
Provides: libcap-ng.so.0()(64bit)
Provides: libcap-ng = 0.7.7
Provides: elf(buildid) = 1ec852331f27d74e8ee3dfc88bc48bd59bf04a96

%description -n libcap-ng0
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%package -n libcap-ng-python
Summary: An alternate posix capabilities library
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap-ng.so.0()(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libcap-ng0 >= 0.7.7
Requires: libc6 >= 2.22
Provides: _capng.so()(64bit)
Provides: elf(buildid) = 96b648fbd9bc1c2d619e6837b4db32d607d7b841

%description -n libcap-ng-python
The libcap-ng library is intended to make programming with POSIX
capabilities much easier than the traditional libcap library.

%post -n libcap-ng0
# libcap-ng0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libcap-ng-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64/python2.7"
%dir "/usr/lib64/python2.7/site-packages"
%dir "/usr/lib64/python2.7/site-packages/.debug"
"/usr/lib64/python2.7/site-packages/.debug/_capng.so"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/netcap"
"/usr/bin/.debug/captest"
"/usr/bin/.debug/pscap"
"/usr/bin/.debug/filecap"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libcap-ng"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/build"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/src"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/captest.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/proc-llist.h"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/filecap.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/proc-llist.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/pscap.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/utils/netcap.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/src/lookup_table.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/src/cap-ng.h"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/src/captab.h"
"/usr/src/debug/libcap-ng/0.7.7-r0/libcap-ng-0.7.7/src/cap-ng.c"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/build/bindings"
%dir "/usr/src/debug/libcap-ng/0.7.7-r0/build/bindings/python"
"/usr/src/debug/libcap-ng/0.7.7-r0/build/bindings/python/capng_wrap.c"
"/usr/src/debug/libcap-ng/0.7.7-r0/build/bindings/python/capng.h"
%dir "/lib64/.debug"
"/lib64/.debug/libcap-ng.so.0.0.0"

%files -n libcap-ng-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libcap-ng.a"

%files -n libcap-ng-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/share"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libcap-ng.so"
"/usr/lib64/libcap-ng.la"
"/usr/lib64/pkgconfig/libcap-ng.pc"
%dir "/usr/share/aclocal"
"/usr/share/aclocal/cap-ng.m4"
"/usr/include/cap-ng.h"

%files -n libcap-ng-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man3"
"/usr/share/man/man8/captest.8"
"/usr/share/man/man8/filecap.8"
"/usr/share/man/man8/netcap.8"
"/usr/share/man/man8/pscap.8"
"/usr/share/man/man3/capng_clear.3"
"/usr/share/man/man3/capng_fill.3"
"/usr/share/man/man3/capng_update.3"
"/usr/share/man/man3/capng_have_capability.3"
"/usr/share/man/man3/capng_change_id.3"
"/usr/share/man/man3/capng_setpid.3"
"/usr/share/man/man3/capng_restore_state.3"
"/usr/share/man/man3/capng_get_caps_fd.3"
"/usr/share/man/man3/capng_apply.3"
"/usr/share/man/man3/capng_name_to_capability.3"
"/usr/share/man/man3/capng_capability_to_name.3"
"/usr/share/man/man3/capng_save_state.3"
"/usr/share/man/man3/capng_print_caps_numeric.3"
"/usr/share/man/man3/capng_updatev.3"
"/usr/share/man/man3/capng_lock.3"
"/usr/share/man/man3/capng_set_caps_fd.3"
"/usr/share/man/man3/capng_get_caps_process.3"
"/usr/share/man/man3/capng_print_caps_text.3"
"/usr/share/man/man3/capng_have_capabilities.3"

%files -n libcap-ng-bin
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/netcap"
"/usr/bin/captest"
"/usr/bin/pscap"
"/usr/bin/filecap"

%files -n libcap-ng0
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libcap-ng.so.0.0.0"
"/lib64/libcap-ng.so.0"

%files -n libcap-ng-python
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/lib64/python2.7"
%dir "/usr/lib64/python2.7/site-packages"
"/usr/lib64/python2.7/site-packages/capng.pyo"
"/usr/lib64/python2.7/site-packages/_capng.so"
"/usr/lib64/python2.7/site-packages/capng.py"
"/usr/lib64/python2.7/site-packages/_capng.la"

